@import url("https://fonts.googleapis.com/css2?family=Fira+Code&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Ubuntu+Mono&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Roboto&display=swap");

body {
  font-family: "Fira Code";
}

canvas {
  position: absolute;
  top: 0;
  left: 0;
}

.all-elements-container {
  display: flex;
  justify-content: space-between;
  margin: 10% 5px;
}

.camera-controllers-container {
  display: flex;
  flex-direction: column;
  padding: 15px;
  width: 50%;
}

.top-camera-controllers-container {
  display: flex;
  flex-direction: row;
}

#cameraSelect {
  font-family: "Fira Code", monospace;
  width: 40%;
  height: 40px;
  font-size: medium;
  padding: 4px;
}

#camera-toggle-button {
  font-family: "Fira Code", monospace;
  width: 22%;
  height: 40px;
  font-size: medium;
  padding: 4px;
  margin-left: 6%;
}
/* styles for histogram and laser threshold input/slider */
#laser-threshold-text {
  margin-bottom: 10px;
  font-size: 20px;
}

#histogram-container {
  position: relative;
  width: 100%;
  height: 125px;
  background-color: rgba(255, 255, 255, 0.5);
}

#histogramCanvas {
  position: absolute;
  width: 98%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.5);
  z-index: 1;
}

#laser-detected-text {
  padding: 5px;
  display: inline-block;
}

.laser-threshold-slider {
  position: absolute;
  z-index: 1;
  bottom: 0;
  left: 0;
  appearance: none;
  width: 100%;
  height: 0px;
  outline: none;
  transition: 0.2s;
  margin: 0;
  padding: 0;
}

.laser-threshold-slider:hover {
  opacity: 1;
}

.laser-threshold-slider::-webkit-slider-thumb {
  appearance: none;
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 0 15.01px 33.74px;
  border-color: transparent transparent #000000 transparent;
  cursor: pointer;
}

/* .thumb-overlay {
  position: absolute;
  bottom: 0;
  left: 683px;
  background-color: #000000;
  height: 120px;
  width: 5px;
  z-index: 1;
} */

/* styles for inputs/sliders to set camera gain and exposure/shutter*/
.camera-settings-slider-container {
  display: flex;
  flex-direction: column;
  padding: 1%;
  margin: 1%;
  margin-top: 5%;
}

.camera-settings-slider-label-container {
  display: flex;
  justify-content: space-between;
  margin-bottom: 2%;
}

.camera-settings-slider-label {
  font-size: 14px;
}

.camera-settings-slider-value {
  font-size: 14px;
}

.camera-settings-slider {
  appearance: none;
  border-radius: 5px;
  height: 10px;
  background: #d3d3d3;
  outline: none;
  opacity: 0.7;
  transition: 0.2s;
}

.camera-settings-slider:hover {
  opacity: 1;
}

.camera-settings-slider::-webkit-slider-thumb {
  appearance: none;
  width: 36px;
  height: 36px;
  border-radius: 50%;
  background: #000000;
}

/*orange for the carrot #e96230

/* style for laser detection text, camera feed and brightest point canvas */
#laser-detection-text-and-video-container {
  display: flex;
  flex-direction: column;
}

#text-above-video-container {
  display: flex;
  justify-content: space-between;
}

#fps-text {
  margin-right: 8px;
}

#video-container {
  position: relative;
  z-index: 1;
}

#cameraFeed {
  z-index: 1;
  width: 100%;
  filter: grayscale(100%);
}

#brightestPointCanvas {
  position: absolute;
  z-index: 2;
}
